Account Events
Accounts Updated
An account has been Updated
- APPROVED
- REJECTED
- RESTRICTED
- UNRESTRICTED
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"request_id": "036T1L88B07TF0KHJN4C000000",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"client_request_id": "d44caf9eb12d4abe894b529699059ec5",
"biz_type": "ACCOUNT_INFO_UPDATE",
"status": "APPROVED",
"timestamp": "2025-11-21T06:27:43.312Z"
}
}
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "036T1L88B07TF0KHJN4C000000",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"client_request_id": "d44caf9eb12d4abe894b529699059ec5",
"biz_type": "ACCOUNT_INFO_UPDATE",
"status": "REJECTED",
"timestamp": "2025-11-21T06:27:43.312Z"
}
}
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "036T1L88B07TF0KHJN4C000000",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"biz_type": "ACCOUNT_RESTRICT",
"restrict_infos": [
{
"restriction_code": "RISK",
"restriction_start_time": "2025-01-06T22:59:59.012Z",
"reason": "Unusual trading activity detected on 2025-01-05."
}
],
"timestamp": "2025-11-21T06:27:43.312Z"
}
}
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "036T1L88B07TF0KHJN4C000000",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"biz_type": "ACCOUNT_UNRESTRICTED",
"restrict_infos": [
{
"restriction_code": "RISK",
"restriction_start_time": "2025-01-06T22:59:59.012Z",
"reason": "Unusual trading activity detected on 2025-01-05."
}
],
"timestamp": "2025-11-21T06:27:43.312Z"
}
}
Account Closed
An account close application has been approvel/rejected
- APPROVED
- REJECTED
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "d44caf9eb12d4abe894b529699059ec5",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"biz_type": "ACCOUNT_CLOSE",
"status": "APPROVED",
"timestamp": "2025-11-21T06:27:43.312Z"
}
}
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "ACCOUNT",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "d44caf9eb12d4abe894b529699059ec5",
"account_id": "1207025778140889088",
"account_number": "CTH9114668",
"biz_type": "ACCOUNT_CLOSE",
"status": "REJECTED",
"timestamp": "2025-11-21T06:27:43.312Z"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | string | Unique event identifier |
position | string | Cursor for event replay; re-pushes subsequent events within the current business type. |
event_type | string | Event type, fixed as ACCOUNT |
timestamp | string | Event timestamp in ISO 8601 format |
payload | object | Event payload data |
Payload Fields
| Field | Type | Description |
|---|---|---|
client_request_id | string | Client-supplied request identifier (if provided) |
account_id | string | Numeric account identifier (present when an account is created/exists) |
account_number | string | Human-readable account number (present when assigned) |
biz_type | string | Business type, e.g. ACCOUNT_INFO_UPDATE, ACCOUNT_RESTRICT, ACCOUNT_CLOSE |
status | string | Status for the operation (APPROVED, REJECTED, etc.) |
restrict_infos | array | List of restrictions currently effective for this account |
timestamp | string | Payload timestamp in ISO 8601 format |
Restrict Infos
| Field | Type | Description |
|---|---|---|
restriction_code | string | A code representing the type of restriction applied |
restriction_start_time | string | The date and time when the restriction takes effect. Time in ISO8601 format (UTC). Format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z' |
reason | string | A description of the reason for the restriction |